petsc-3.4.2 2013-07-02

# PCSetFromOptions

Sets PC options from the options database. This routine must be called before PCSetUp() if the user is to be allowed to set the preconditioner method.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSetFromOptions(PC pc)

Collective on PC

### Input Parameter

pc -the preconditioner context

### Options Database

-pc_use_amat true,false see PCSetUseAmat() -

### Keywords

PC, set, from, options, database

### See Also

PCSetUseAmat()

Level:developer
Location:src/ksp/pc/interface/pcset.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages